<?php
// clickbank server landing page, processes the
// transaction sent from clickbank.
// Tim Buchalka - March 2008
// Copyright (c) 2008
// Success On The Internet Pty Ltd
// PO Box 25
// Salisbury SA 5108
// Australia
// Email: tim@successontheinternet.com
//
// Version/Change History
//
// v1.0 March 2008

	require_once("vars.php");
	require_once("error.php");
	require_once("mail.php");
	
	class emailTransactionDetails {
	
		// 0=summary, 1 = detailed
		var $contentType = 0;
		
		function emailTransactionDetails() {
			global $notification_email_subject, $notification_email_address;
			global $notification_from_email_address;
			global $ccustname, $ccustemail, $ccustcc, $ccuststate, $ctransreceipt, $cproditem;
			global $ctransaction, $ctransaffiliate, $ctranspublisher, $cprodtype, $cprodtitle;
			global $ctranspaymentmethod, $ctransamount, $caffitid, $cvendthru, $cbpop;
			global $notification_summary, $notification_name, $notification_company;
			global $dollar_amount;
			$notification_email_subject="Boys, an RSS $ctransaction Transaction Just Happened";
			
			$body = "";
			// Sending a summary only, ?
			if($notification_summary) {
				$body = "Hi $notification_name, $notification_company.\r\n\r\nYes, that's right a Clickbank $ctransaction transaction just hit your account at " . strftime('%c')  . "\r\n\r\n"
				  . "Product details: $cprodtitle ($cproditem), sale amount was " . number_format($dollar_amount, 2, '.', '') . "\r\n"
				  . "\r\n\r\n";
			} else {
				// Sending out the detailed email
				$body = "Hi $notification_name, $notification_company.\r\n\r\nYes, that's right a Clickbank $ctransaction transaction just hit your account at " . strftime('%c')  . "\r\n\r\n"
				  . "Customer: $ccustname, State: $ccuststate, Country: $ccustcc, Email: $ccustemail\r\n"
				  . "Product: $cprodtitle, Item: $cproditem \r\n"
				  . "Amount: " . number_format($dollar_amount, 2, '.', '') . ", Publisher: $ctranspublisher, Affiliate: $ctransaffiliate\r\n"
				  . "Payment method: $ctranspaymentmethod, Tracking ID: $caffitid\r\n\r\n";			
			}
			$mailout = new mailer($notification_from_email_address);
//			print "$notification_from_email_address $notification_email_subject, $notification_email_address, $body";
			$mailout->sendEmail($notification_email_address, $notification_email_subject, $body);
		}
	}
?>
