<?php
session_start();
require_once 'db.php';

if(empty($_SESSION['admin'])){
	header("Location: login.php");
}
?>
<html>
<head>
<title>Clickbank sales action</title>
<script language="javascript" type="text/javascript" src="datetimepicker.js">
//Date Time Picker script- by TengYong Ng of http://www.rainforestnet.com
//Script featured on JavaScript Kit (http://www.javascriptkit.com)
//For this script, visit http://www.javascriptkit.com 
</script>
</head>
<body>
<?php

//Listing transaction type
$select = array('trans_type', 'subject', 'left(email_template,40) as email_template','sent');
$rows = getData('sales_action', $select, ' TRUE ');

if(is_array($rows) && count($rows)){
	$msg = '<table border="1">';
	$msg .= '<tr><th><font color="green">Transacion type</font></th><th><font color="green">Email subject</font></th><th><font color="green">Email template</font></th><th><font color="green">Send email</font></th><th><font color="green">Actions</font></th></tr>';
	$i = 0;
	foreach($rows as $row){
		if($i % 2 ==0)
			$bgcolor = '#DDDDDD';
		else
			$bgcolor = '#FFFFFF';
		$i++;
		$msg .= '<tr bgcolor="'.$bgcolor.'"><td>&nbsp;'.$row['trans_type'].'&nbsp;</td>';
		$msg .= '<td>&nbsp;'.$row['subject'].'&nbsp;</td>';
		$msg .= '<td>&nbsp;'.$row['email_template'].'&nbsp;</td>';
		$msg .= '<td>&nbsp;'.$row['sent'].'&nbsp;</td>';
		$msg .= '<td><a href="modify.php?act=Edit&trans_type='.$row['trans_type'].'">Edit</a></td></tr>';
	}
	$msg .= '</table> <br /><br />';
}
echo $msg;
?>

<h2>Report</h2>
<form method="post">
Start time: <input type="text" id="start_time" name="start_time" value="<?=$_POST['start_time']?>" maxlength="25" size="15" /><a href="javascript:NewCal('start_time','yyyymmdd')"><img src="cal.gif" width="16" height="16" border="0" alt="Pick a date"></a><br />
End time: <input type="text" id="end_time" name="end_time" value="<?=$_POST['end_time']?>" maxlength="25" size="15" /><a href="javascript:NewCal('end_time','yyyymmdd')"><img src="cal.gif" width="16" height="16" border="0" alt="Pick a date"></a><br />
Transaction type: <input type="checkbox" name="SALE" value="true" <?if(isset($_POST['SALE']) || !isset($_POST['act'])) echo 'checked="checked"'?> /> SALE
<input type="checkbox" name="BILL" value="true" <?if(isset($_POST['BILL']) || !isset($_POST['act'])) echo 'checked="checked"'?> /> BILL
<input type="checkbox" name="RFND" value="true" <?if(isset($_POST['RFND'])) echo 'checked="checked"'?> /> RFND
<input type="checkbox" name="CGBK" value="true" <?if(isset($_POST['CGBK'])) echo 'checked="checked"'?> /> CGBK
<input type="checkbox" name="INSF" value="true" <?if(isset($_POST['INSF'])) echo 'checked="checked"'?> /> INSF
<input type="checkbox" name="CANCEL-REBILL" value="true" <?if(isset($_POST['CANCEL-REBILL'])) echo 'checked="checked"'?> /> CANCEL-REBILL
<input type="checkbox" name="UNCANCEL-REBILL" value="true" <?if(isset($_POST['UNCANCEL-REBILL'])) echo 'checked="checked"'?> /> UNCANCEL-REBILL
<input type="checkbox" name="TEST" value="true" <?if(isset($_POST['TEST'])) echo 'checked="checked"'?> /> TEST <br/ >
Group by: <input type="checkbox" name="publisher" <?php if(isset($_POST['publisher'])) echo ' checked="checked" ';?> /> Publisher <input type="checkbox" name="affiliate" <?php if(isset($_POST['affiliate'])) echo ' checked="checked" ';?> /> Affiliate<br />
<input type="submit" name="act" value="View Report" /><br />
</form>
<?php
if(isset($_POST['act'])){
	$where = ' WHERE 1=1 ';
	if(!empty($_POST['start_time'])){
		$start_time = strtotime($_POST['start_time']);
		$where .= " AND ctranstime >= $start_time ";
	}
	if(!empty($_POST['end_time'])){
		$end_time = strtotime($_POST['end_time']);
		$where .= " AND ctranstime <= $end_time ";
	}
	$is_in = '';
	if(isset($_POST['SALE'])){
		$is_in .= ",'SALE'";
	}
	if(isset($_POST['BILL'])){
		$is_in .= ",'BILL'";
	}
	if(isset($_POST['RFND'])){
		$is_in .= ",'RFND'";
	}
	if(isset($_POST['CGBK'])){
		$is_in .= ",'CGBK'";
	}
	if(isset($_POST['INSF'])){
		$is_in .= ",'INSF'";
	}
	if(isset($_POST['CANCEL-REBILL'])){
		$is_in .= ",'CANCEL-REBILL'";
	}
	if(isset($_POST['UNCANCEL-REBILL'])){
		$is_in .= ",'UNCANCEL-REBILL'";
	}
	if(isset($_POST['TEST'])){
		$is_in .= ",'TEST'";
	}
	if(!empty($is_in)){
		$is_in = '(' .substr($is_in,1) . ')';
		$where .= " AND transaction_type IN $is_in ";
	}
	
	
	if(isset($_POST['publisher']) && isset($_POST['affiliate'])){
		$order_by = " ORDER BY publisher, affiliate";
		
		$sql = "SELECT publisher, affiliate, amount, creation_date FROM transactions ";
		$ret = mysql_query($sql . $where . $order_by);
		$report = '<table border="1"><tr><th>Publisher</th><th>Affiliate</th><th>Amount($)</th><th>Date</th></tr>';
		$i=0;
		while($row = mysql_fetch_assoc($ret)){
			if($i==0){
				$old_pub = $row['publisher'];
				$old_aff = $row['affiliate'];
			}elseif($old_pub <> $row['publisher'] || $old_aff <> $row['affiliate']){
				//Display summary for the old data
				if(empty($old_aff)){
					$affiliate= 'no affiliate';
				}else{
					$affiliate= $old_aff;
				}
				$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6) . " AND publisher = '$old_pub' AND affiliate='$old_aff'");
				$amount_count = $rows[0]['amount_count'];
				$amount_sum = number_format($rows[0]['amount_sum'],2);
				$report .= '<tr><td bgcolor="#DDEE22" colspan="100%">'."Publisher: $old_pub, Affiliate: $affiliate, $amount_count transactions, total($) $amount_sum".'</td></tr>';
				$old_pub = $row['publisher'];
				$old_aff = $row['affiliate'];
			}
			if($i % 2 ==0)
				$bgcolor = '#DDDDDD';
			else
				$bgcolor = '#FFFFFF';
			$i++;
			$report .= '<tr bgcolor="'.$bgcolor.'"><td>&nbsp;'.$row['publisher'].'</td>';
			$report .= '<td>&nbsp;'.$row['affiliate'].'</td>';
			$report .= '<td>&nbsp;'.number_format($row['amount'],2).'</td>';
			$report .= '<td>&nbsp;'.$row['creation_date'].'</td></tr>';
		}
		//summary for last group
		//Display summary for the old data
		if(empty($old_aff)){
			$affiliate= 'no affiliate';
		}else{
			$affiliate= $old_aff;
		}
		$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6) . " AND publisher = '$old_pub' AND affiliate='$old_aff'");
		$amount_count = $rows[0]['amount_count'];
		$amount_sum = number_format($rows[0]['amount_sum'],2);
		$report .= '<tr><td bgcolor="#DDEE22" colspan="100%">'."Publisher: $old_pub, Affiliate: $affiliate, $amount_count transactions, total($) $amount_sum".'</td></tr>';
		//Grand total
		$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6));
		$amount_count = $rows[0]['amount_count'];
		$amount_sum = number_format($rows[0]['amount_sum'],2);
		$report .= '<tr><td bgcolor="#EEDD44" colspan="100%">'."Total: $amount_count transactions, total($) $amount_sum".'</td></tr>';
		$report .= '<table>';
	}elseif(isset($_POST['publisher'])){
		$order_by = " ORDER BY publisher";
		
		$sql = "SELECT publisher, affiliate, amount, creation_date FROM transactions ";
		$ret = mysql_query($sql . $where . $order_by);
		$report = '<table border="1"><tr><th>Publisher</th><th>Affiliate</th><th>Amount($)</th><th>Date</th></tr>';
		$i=0;
		while($row = mysql_fetch_assoc($ret)){
			if($i==0){
				$old = $row['publisher'];
			}elseif($old <> $row['publisher']){
				//Display summary for the old data
				$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6) . " AND publisher = '$old'");
				$amount_count = $rows[0]['amount_count'];
				$amount_sum = number_format($rows[0]['amount_sum'],2);
				$report .= '<tr><td bgcolor="#DDEE22" colspan="100%">'."Publisher: $old, $amount_count transactions, total($) $amount_sum".'</td></tr>';
				$old = $row['publisher'];
			}
			if($i % 2 ==0)
				$bgcolor = '#DDDDDD';
			else
				$bgcolor = '#FFFFFF';
			$i++;
			$report .= '<tr bgcolor="'.$bgcolor.'"><td>&nbsp;'.$row['publisher'].'</td>';
			$report .= '<td>&nbsp;'.$row['affiliate'].'</td>';
			$report .= '<td>&nbsp;'.number_format($row['amount'],2).'</td>';
			$report .= '<td>&nbsp;'.$row['creation_date'].'</td></tr>';
		}
		//summary for last group
		$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6) . " AND publisher = '$old'");
		$amount_count = $rows[0]['amount_count'];
		$amount_sum = number_format($rows[0]['amount_sum'],2);
		$report .= '<tr><td bgcolor="#DDEE22" colspan="100%">'."Publisher: $old, $amount_count transactions, total($) $amount_sum".'</td></tr>';
		//Grand total
		$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6));
		$amount_count = $rows[0]['amount_count'];
		$amount_sum = number_format($rows[0]['amount_sum'],2);
		$report .= '<tr><td bgcolor="#EEDD44" colspan="100%">'."Total: $amount_count transactions, total($) $amount_sum".'</td></tr>';
		$report .= '<table>';
	}elseif(isset($_POST['affiliate'])){
		$order_by = " ORDER BY affiliate";
		
		$sql = "SELECT publisher, affiliate, amount, creation_date FROM transactions ";
		$ret = mysql_query($sql . $where . $order_by);
		$report = '<table border="1"><tr><th>Affiliate</th><th>Publisher</th><th>Amount($)</th><th>Date</th></tr>';
		$i=0;
		while($row = mysql_fetch_assoc($ret)){
			if($i==0){
				$old = $row['affiliate'];
			}elseif($old <> $row['affiliate']){
				//Display summary for the old data
				if(empty($old)){
					$affiliate= 'no affiliate';
				}else{
					$affiliate= $old;
				}
				$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6) . " AND affiliate = '$old'");
				$amount_count = $rows[0]['amount_count'];
				$amount_sum = number_format($rows[0]['amount_sum'],2);
				$report .= '<tr><td bgcolor="#DDEE22" colspan="100%">'."Affiliate: $affiliate, $amount_count transactions, total($) $amount_sum".'</td></tr>';
				$old = $row['affiliate'];
			}
			if($i % 2 ==0)
				$bgcolor = '#DDDDDD';
			else
				$bgcolor = '#FFFFFF';
			$i++;
			$report .= '<tr bgcolor="'.$bgcolor.'"><td>&nbsp;'.$row['affiliate'].'</td>';
			$report .= '<td>&nbsp;'.$row['publisher'].'</td>';
			$report .= '<td>&nbsp;'.number_format($row['amount'],2).'</td>';
			$report .= '<td>&nbsp;'.$row['creation_date'].'</td></tr>';
		}
		//summary for last group
		if(empty($old)){
			$affiliate= 'no affiliate';
		}else{
			$affiliate= $old;
		}
		$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6) . " AND affiliate = '$old'");
		$amount_count = $rows[0]['amount_count'];
		$amount_sum = number_format($rows[0]['amount_sum'],2);
		$report .= '<tr><td bgcolor="#DDEE22" colspan="100%">'."Affiliate: $affiliate, $amount_count transactions, total($) $amount_sum".'</td></tr>';
		//Grand total
		$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6));
		$amount_count = $rows[0]['amount_count'];
		$amount_sum = number_format($rows[0]['amount_sum'],2);
		$report .= '<tr><td bgcolor="#EEDD44" colspan="100%">'."Total: $amount_count transactions, total($) $amount_sum".'</td></tr>';
		$report .= '<table>';
	}else{
		$order_by = " ORDER BY publisher";
		
		$sql = "SELECT publisher, affiliate, amount, creation_date FROM transactions ";
		$ret = mysql_query($sql . $where . $order_by);
		//echo $sql . $where . $order_by;
		$report = '<table border="1"><tr><th>Publisher</th><th>Affiliate</th><th>Amount($)</th><th>Date</th></tr>';
		$i=0;
		while($row = mysql_fetch_assoc($ret)){
			if($i % 2 ==0)
				$bgcolor = '#DDDDDD';
			else
				$bgcolor = '#FFFFFF';
			$i++;
			$report .= '<tr bgcolor="'.$bgcolor.'"><td>&nbsp;'.$row['publisher'].'</td>';
			$report .= '<td>&nbsp;'.$row['affiliate'].'</td>';
			$report .= '<td>&nbsp;'.number_format($row['amount'],2).'</td>';
			$report .= '<td>&nbsp;'.$row['creation_date'].'</td></tr>';
		}
		//summary for last group
		$rows = getData('transactions',array('count(amount) as amount_count', 'sum(amount) as amount_sum'), substr($where,6));
		$amount_count = $rows[0]['amount_count'];
		$amount_sum = number_format($rows[0]['amount_sum'],2);
		$report .= '<tr><td bgcolor="#EEDD44" colspan="100%">'."Total: $amount_count transactions, total($) $amount_sum".'</td></tr>';
		$report .= '<table>';
	}

	echo $report;
}
?>
</body>
</html>