CREATE TABLE transactions
(
  id INT UNSIGNED AUTO_INCREMENT PRIMARY KEY NOT NULL,
  customer_name VARCHAR(510) NOT NULL,
  customer_state VARCHAR(2) NOT NULL,
  customer_country VARCHAR(2) NOT NULL,
  customer_email VARCHAR(255) NOT NULL,
  product_item VARCHAR(5) NOT NULL,
  product_title VARCHAR(255) NOT NULL,
  transaction_type VARCHAR(15) NOT NULL,
  affiliate VARCHAR(10) NOT NULL,
  amount DOUBLE,
  payment_method VARCHAR(4) NOT NULL,
  publisher VARCHAR(10) NOT NULL,
  receipt_number VARCHAR(13) NOT NULL,
  tracking_id VARCHAR(8) NOT NULL,
  verify_cipher VARCHAR(8) NOT NULL,
  cipher_valid TINYINT,
  creation_date TIMESTAMP DEFAULT NOW()
);