<?php
// clickbank server landing page, processes the
// transaction sent from clickbank.
// Tim Buchalka - March 2008
// Copyright (c) 2008
// Success On The Internet Pty Ltd
// PO Box 25
// Salisbury SA 5108
// Australia
// Email: tim@successontheinternet.com
//
// Version/Change History
//
// v1.0 March 2008

	// Grab site variables, 
	error_reporting(E_ALL);
	
	require_once("vars.php");
	require_once("error.php");
	require_once("emailTransactionDetails.php");
	require_once("utils.php");
	require_once("cls_api.php");
	require_once("query.php");

	
	
	// Retrieve all information from clickbank
	$ccustname = $_REQUEST['ccustname'];
	$ccustemail = $_REQUEST['ccustemail'];
	$ccustcc = $_REQUEST['ccustcc'];
	$ccuststate = $_REQUEST['ccuststate'];
	$ctransreceipt = $_REQUEST['ctransreceipt'];
	$cproditem = $_REQUEST['cproditem'];
	$ctransaction = $_REQUEST['ctransaction'];
	$ctransaffiliate = $_REQUEST['ctransaffiliate'];
	$ctranspublisher = $_REQUEST['ctranspublisher'];
	$cprodtype = $_REQUEST['cprodtype'];
	$cprodtitle = $_REQUEST['cprodtitle'];
	$ctranspaymentmethod = $_REQUEST['ctranspaymentmethod'];
	$ctransamount = $_REQUEST['ctransamount'];
	$caffitid = $_REQUEST['caffitid'];
	$cvendthru = $_REQUEST['cvendthru'];
	$ctranstime = $_REQUEST['ctranstime'];

	$pub=strtoupper($ctranspublisher);
	if($pub!="RSSPOWER")
	{
		//do not process redirect to the other page
		$obj_api= new cls_api();
		foreach ($_POST as $key => $value) 
			{
                  $x[$key] = $value;
            }
		$obj_api->url="http://www.burn-the-fat-today.com/click/main.php";
		$obj_api->dohttp_post($x);
		header("HTTP/1.1 200 OK");
		exit;

	}
	
	if(empty($ctranstime)) $ctranstime = time();
	//transaction time in human readable format
	$transtime = date("Y-m-d H:i:s",$ctranstime);
	$cbpop = $_REQUEST['cverify'];
	
	
	// clickbank passes amount as "cents" e.g. $10 = 1000
	// so divide by 100 to get dollar figure and store that
 	$dollar_amount = (double) ($ctransamount / 100);
	
	$utils = new utils();

if(1==1)	
//	if($utils->clickbankDataValid()==1 && trim($ctransreceipt)!="" )
	{	
		
		//valid data so process 
		$u_list_id="";
		$mode="";
		
		
		$queryClass = new query();
		/*$qry="select count(*) from transactions where receipt_number='" . $ctransreceipt ."'";
		$dbresults = $queryClass->sqlQuery($qry) or trigger_error("SQL", E_USER_ERROR);
		if($row = mysql_fetch_assoc($dbresults))
		{
			$rec_count=$row[0];
		}
*/


			if($cproditem=="2")
			{
				$u_list_id="67251";
			} else if($cproditem=="4")
			{
				$u_list_id="77683";
			} else if($cproditem=="6")
			{
				$u_list_id="77684";
			}
		
		
			if($ctransaction=="SALE")
			{
				//transaction is sale so use api to add account
				
			
				$mode="";
				if($queryClass->db_connect()) 
				{
					$qry="select count(*) from transactions where receipt_number='" . $ctransreceipt  . "'";
					$$dbresults=$queryClass->sqlQuery($qry) or trigger_error("SQL", E_USER_ERROR);
					$rec_count=0;
					if($row = mysql_fetch_assoc($dbresults))
					{
						$rec_count=$row[0];
						
					}
					$qry="";
					if($rec_count==0)
					{

					$mode="add";
					$qry = "INSERT INTO transactions (customer_name, customer_state, customer_country, customer_email,"
				  . "product_item, product_title, transaction_type, affiliate," 
				  . "amount, payment_method, publisher, receipt_number, tracking_id, verify_cipher, cipher_valid, creation_date) "
				  . "VALUES( "
				  . "'$ccustname','$ccuststate','$ccustcc','$ccustemail','$cproditem','$cprodtitle','$ctransaction',"
				  . "'$ctransaffiliate','$dollar_amount','$ctranspaymentmethod','$ctranspublisher','$ctransreceipt'," 
				  . "'$caffitid', '$cbpop', '$valid_data', '$transtime')";
				  
					$dbresults = $queryClass->sqlQuery($qry) or trigger_error("SQL", E_USER_ERROR);
					$id = mysql_insert_id();
					$queryClass->close();
					}
				}
			}
			elseif($ctransaction=="RFND" || $ctransaction=="CGBK" || $ctransaction=="INSF" ||  $ctransaction=="CANCEL-REBILL")
			{
				//transaction is not sale so use api to unsubscribe account
				$mode="unsubscribe";
			
				//lookup in the database to find the user email

				if($queryClass->db_connect()) 
				{
					$qry = "select id,u_access_code from  transactions where customer_email = '". $ccustemail . "' and status < 2";
					$dbresults = $queryClass->sqlQuery($qry) or trigger_error("SQL", E_USER_ERROR);
					if($row = mysql_fetch_assoc($dbresults))
					{
					//if morethan one rows in db take only 1st one
					$id=$row['id'];
					$u_access_code=$row['u_access_code'];
					
					}
					$queryClass->close();
				}

			}
		
			if(trim($mode)!="" && trim($u_list_id)!="")
			{
			
				$obj_api= new cls_api();
				$results=$obj_api->api_post();
				//$obj_api->sendfailureemail($results);
				if($obj_api->checkstatus($results))
				{
					//if response was success, then process further
		
					$u_access_code=$obj_api->getuseraccesscode($results);	//get user access code returned
					//$obj_api->sendfailureemail($results);
					if($queryClass->db_connect()) 
					{
						if($id!="")
						{
							if($mode=="add")
							{
								$qry = "update transactions set u_access_code = '" . $u_access_code . "' , status='1' where id='" . $id. "'";
							}
							else
							{
								$qry = "update transactions set u_access_code = '" . $u_access_code . "' , status='2' where id='" . $id. "'";
							}
							$dbresults = $queryClass->sqlQuery($qry) or trigger_error("SQL", E_USER_ERROR);
					
							$queryClass->close();
						}
					}
					

				}
				else
				{
					//the response was failure or some other error
					//send email notifying the problem
					$obj_api->sendfailureemail($results);
				}
		
			}
			$emailTransDetails = new emailTransactionDetails();
	
		}
	else
	{
		$msg="There is an error in clickbank post received, Clickbank verification failed\n\n transaction details given below \n\n Time: " . strftime('%c')  . "\r\n\r\n"
				  . "Customer: $ccustname, State: $ccuststate, Country: $ccustcc, Email: $ccustemail\r\n"
				  . "Product: $cprodtitle, Item: $cproditem \r\n"
				  . "Amount: " . number_format($dollar_amount, 2, '.', '') . ", Publisher: $ctranspublisher, Affiliate: $ctransaffiliate\r\n"
				  . "Payment method: $ctranspaymentmethod, Tracking ID: $caffitid\r\n\r\n";	
		$subj="TOP1 Clickbank Verification failed";
		$obj_api= new cls_api();
		$obj_api->generalerrormail($msg,$subj);
	}

	
	
	
		
	
	// Clickbank needs this to indicate success
	header("HTTP/1.1 200 OK");
?>
