<?php
// search variables
// various fields and values used in the search functionality
// Tim Buchalka - March 2008
// Copyright (c) 2008
// Success On The Internet Pty Ltd
// PO Box 25
// Salisbury SA 5108
// Australia
// Email: tim@successontheinternet.com
//
// Version/Change History
//
// v1.0 March 2008

	require_once("error.php");

	$queryFieldNames = array(
		"affiliate" => "string",
		"publisher" => "string",
		"product_title" => "string",
		"product_item" => "integer",
		"customer_name" => "string",
		"customer_state" => "string",
		"customer_country" => "string",
		"customer_email" => "string",
		"transaction_type" => "lookup",
		"payment_method" => "lookup",
		"receipt_number" => "string",
		"tracking_id" => "string",
		"amount" => "double",
		"creation_date" => "date");

	$queryTransactionTypes = array (
		"Sale" => "SALE",
		"Re-Bill of Subscription" => "BILL",
		"Refund" => "RFND",
		"Chargeback" => "CGBK",
		"E-Check chargeback" => "CGBK",
		"Cancel Re-bill" => "CANCEL-RBILL",
		"Uncancel Re-bill" => "UNCANCEL-REBILL",
		"Test" => "Test" );
		
	$queryPaymentTypes = array (
		"Mastercard" => "MCAR",
		"Visa" => "VISA",
		"Amex" => "AMEX",
		"Paypal" => "PAYP",
		"E-Check" => "ECHK" );
		
	$queryJoin = array (
		"And" => "and",
		"Or" => "or" );
		
	$queryOperators = array (
 		"Equal" => "=",
		 "Not Equal" => "!=",
		 "Contains" => "LIKE",
		 "Greater than" => ">",
		 "Less than" => "<",
		 "Greater than or Equal to" => ">=",
		 "Less than or Equal to" => "<=",
		 "Between" => "between" );
		 
		$querySort = array (
			"Ascending" => "asc",
			"Descending" => "desc" );
?>